<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_object Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_object Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a05f46c381096d387b9d943da0927fe63"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63">allocate_cfd</a> (cfd)</td></tr>
<tr class="separator:a05f46c381096d387b9d943da0927fe63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d6c13248c6dc57bdb3008b7a12747f4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#a1d6c13248c6dc57bdb3008b7a12747f4">set_default_cfd</a> (cfd)</td></tr>
<tr class="separator:a1d6c13248c6dc57bdb3008b7a12747f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20a9c574341cbc67ba48a2b33113d8f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f">cleanup_cfd</a> (cfd, first_vdf_ptr, first_sd_ptr)</td></tr>
<tr class="separator:ae20a9c574341cbc67ba48a2b33113d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0fdefc0626f823829d6cc8bb08fa236"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236">destroy_cfd_ptr</a> (var_ptr, first_vdf_ptr, first_sd_ptr)</td></tr>
<tr class="separator:ad0fdefc0626f823829d6cc8bb08fa236"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cb7fa816509cd5a437b5374efdcb0ad"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#a3cb7fa816509cd5a437b5374efdcb0ad">add_cfd_from_sd</a> (first_cfd_ptr, first_vdf_ptr, first_sd_ptr, sd)</td></tr>
<tr class="separator:a3cb7fa816509cd5a437b5374efdcb0ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47bff80c96f602e4550f1e596333fd0c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#a47bff80c96f602e4550f1e596333fd0c">cleanup_cfd</a> (cfd, first_sd_ptr)</td></tr>
<tr class="separator:a47bff80c96f602e4550f1e596333fd0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae90d556a312de8653185cc23e8d8da5d"><td class="memItemLeft" align="right" valign="top">recursive subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#ae90d556a312de8653185cc23e8d8da5d">destroy_cfd_ptr</a> (cfd, first_sd_ptr)</td></tr>
<tr class="separator:ae90d556a312de8653185cc23e8d8da5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9da50d09d058e5580a885c2e23fd453"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__object.html#aa9da50d09d058e5580a885c2e23fd453">add_cfd_from_sd</a> (first_cfd_ptr, first_sd_ptr, sd)</td></tr>
<tr class="separator:aa9da50d09d058e5580a885c2e23fd453"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aa9da50d09d058e5580a885c2e23fd453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9da50d09d058e5580a885c2e23fd453">&#9670;&nbsp;</a></span>add_cfd_from_sd() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>) function, pointer, public cfd_object::add_cfd_from_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_cfd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63">allocate_cfd()</a>, and <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_aa9da50d09d058e5580a885c2e23fd453_cgraph.png" border="0" usemap="#namespacecfd__object_aa9da50d09d058e5580a885c2e23fd453_cgraph" alt=""/></div>
<map name="namespacecfd__object_aa9da50d09d058e5580a885c2e23fd453_cgraph" id="namespacecfd__object_aa9da50d09d058e5580a885c2e23fd453_cgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63" title="cfd_object::allocate_cfd" alt="" coords="189,8,349,35"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="221,60,317,87"/>
<area shape="rect" id="node3" href="namespacecfd__object.html#a1d6c13248c6dc57bdb3008b7a12747f4" title="cfd_object::set_default_cfd" alt="" coords="397,5,576,32"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="421,57,552,98"/>
</map>
</div>

</div>
</div>
<a id="a3cb7fa816509cd5a437b5374efdcb0ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cb7fa816509cd5a437b5374efdcb0ad">&#9670;&nbsp;</a></span>add_cfd_from_sd() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>) function, pointer, public cfd_object::add_cfd_from_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_cfd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_vdf_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63">allocate_cfd()</a>, <a class="el" href="namespacevdf__object.html#ad1e91e970b5fb2a6a76888d47d140515">vdf_object::allocate_vdf()</a>, <a class="el" href="namespacesd__object.html#a6b9e025abfcd564dcb2202fac351edbb">sd_object::copy_sd_property()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacesd__object.html#a9be5b59ec56e10760e390ebf5b8ddab5">sd_object::register_sd()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_a3cb7fa816509cd5a437b5374efdcb0ad_cgraph.png" border="0" usemap="#namespacecfd__object_a3cb7fa816509cd5a437b5374efdcb0ad_cgraph" alt=""/></div>
<map name="namespacecfd__object_a3cb7fa816509cd5a437b5374efdcb0ad_cgraph" id="namespacecfd__object_a3cb7fa816509cd5a437b5374efdcb0ad_cgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63" title="cfd_object::allocate_cfd" alt="" coords="189,5,349,32"/>
<area shape="rect" id="node4" href="namespacevdf__object.html#ad1e91e970b5fb2a6a76888d47d140515" title="vdf_object::allocate_vdf" alt="" coords="189,56,349,83"/>
<area shape="rect" id="node6" href="namespacesd__object.html#a6b9e025abfcd564dcb2202fac351edbb" title="sd_object::copy_sd\l_property" alt="" coords="202,107,337,149"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="439,173,535,200"/>
<area shape="rect" id="node9" href="namespacesd__object.html#a9be5b59ec56e10760e390ebf5b8ddab5" title="sd_object::register_sd" alt="" coords="194,224,345,251"/>
<area shape="rect" id="node3" href="namespacecfd__object.html#a1d6c13248c6dc57bdb3008b7a12747f4" title="cfd_object::set_default_cfd" alt="" coords="397,5,576,32"/>
<area shape="rect" id="node5" href="namespacevdf__object.html#a3a12d6f7c4a91c588cda80d5b467ded0" title="vdf_object::set_default_vdf" alt="" coords="397,56,576,83"/>
<area shape="rect" id="node8" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="639,163,770,205"/>
<area shape="rect" id="node10" href="namespacesd__defs.html#a349c2627f8063198a81728e7f8f01b52" title="sd_defs::allocate_sd" alt="" coords="415,225,558,252"/>
<area shape="rect" id="node11" href="namespacesd__defs.html#a22976ca60206af153915a0ffe59288b9" title="sd_defs::set_default_sd" alt="" coords="624,229,785,256"/>
</map>
</div>

</div>
</div>
<a id="a05f46c381096d387b9d943da0927fe63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05f46c381096d387b9d943da0927fe63">&#9670;&nbsp;</a></span>allocate_cfd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine public cfd_object::allocate_cfd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__object.html#a1d6c13248c6dc57bdb3008b7a12747f4">set_default_cfd()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_cgraph.png" border="0" usemap="#namespacecfd__object_a05f46c381096d387b9d943da0927fe63_cgraph" alt=""/></div>
<map name="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_cgraph" id="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_cgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a1d6c13248c6dc57bdb3008b7a12747f4" title="cfd_object::set_default_cfd" alt="" coords="213,5,392,32"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_icgraph.png" border="0" usemap="#namespacecfd__object_a05f46c381096d387b9d943da0927fe63_icgraph" alt=""/></div>
<map name="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_icgraph" id="namespacecfd__object_a05f46c381096d387b9d943da0927fe63_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a3cb7fa816509cd5a437b5374efdcb0ad" title="cfd_object::add_cfd\l_from_sd" alt="" coords="213,5,349,47"/>
</map>
</div>

</div>
</div>
<a id="ae20a9c574341cbc67ba48a2b33113d8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20a9c574341cbc67ba48a2b33113d8f">&#9670;&nbsp;</a></span>cleanup_cfd() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_object::cleanup_cfd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), optional, pointer&#160;</td>
          <td class="paramname"><em>first_vdf_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), optional, pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5">vdf_object::cleanup_vdf()</a>, <a class="el" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159">block_implicit_func::deallocate_work_block_implicit()</a>, <a class="el" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8">vdf_object::delete_vdf()</a>, <a class="el" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951">cfd_cn_solver::destroy_cn_solver()</a>, <a class="el" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe">cfd_hybrid_solver::destroy_hybrid_solver()</a>, <a class="el" href="namespacecfd__hybrid__conv__weno3.html#a6c046648a0a502b5b641e063a3b9bc90">cfd_hybrid_conv_weno3::destroy_hybrid_weno()</a>, and <a class="el" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59">sd_object::unregister_sd()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_cgraph.png" border="0" usemap="#namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_cgraph" alt=""/></div>
<map name="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_cgraph" id="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_cgraph">
<area shape="rect" id="node2" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="437,486,597,513"/>
<area shape="rect" id="node19" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59" title="sd_object::unregister_sd" alt="" coords="671,181,835,207"/>
<area shape="rect" id="node38" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="213,587,376,643"/>
<area shape="rect" id="node40" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8" title="vdf_object::delete_vdf" alt="" coords="219,537,370,563"/>
<area shape="rect" id="node41" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951" title="cfd_cn_solver::destroy\l_cn_solver" alt="" coords="439,660,594,701"/>
<area shape="rect" id="node42" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe" title="cfd_hybrid_solver::\ldestroy_hybrid_solver" alt="" coords="220,723,369,764"/>
<area shape="rect" id="node45" href="namespacecfd__hybrid__conv__weno3.html#a6c046648a0a502b5b641e063a3b9bc90" title="cfd_hybrid_conv_weno3\l::destroy_hybrid_weno" alt="" coords="213,788,376,829"/>
<area shape="rect" id="node3" href="namespacemetric__conv__func.html#a210e0431237f8a8d29ded74d601bf296" title="metric_conv_func::destroy\l_metric_conv_ptr" alt="" coords="665,413,841,455"/>
<area shape="rect" id="node5" href="namespacemetric__visc__func.html#a67a92b8746287a2b17e0f74e9034f938" title="metric_visc_func::destroy\l_metric_visc_ptr" alt="" coords="667,479,839,520"/>
<area shape="rect" id="node7" href="namespacemetric__generic__func.html#a3436ab6204959a19f979368e89a6fe0e" title="metric_generic_func\l::destroy_metric_generic_ptr" alt="" coords="659,609,846,651"/>
<area shape="rect" id="node9" href="namespaceimplicit__func.html#a92f52af805f092f15f72b747f33af328" title="implicit_func::destroy\l_solver_implicit" alt="" coords="679,740,826,781"/>
<area shape="rect" id="node10" href="namespacevelocity__implicit__func.html#a4aaaa5d306e668c428e3d12892dde55f" title="velocity_implicit_func\l::destroy_solver_vec_implicit" alt="" coords="657,544,848,585"/>
<area shape="rect" id="node11" href="namespacevdf__object.html#a6c9a6079f47ed3e432c7ea2afb8b366d" title="vdf_object::destroy\l_ib_data" alt="" coords="686,675,819,716"/>
<area shape="rect" id="node13" href="namespaceinflow__defs.html#aeaacf7d5ccdf12bf3ba19d87d8682259" title="inflow_defs::destroy\l_inflow" alt="" coords="683,283,822,324"/>
<area shape="rect" id="node15" href="namespacevdf__wallfunc__defs.html#a6f35dc6e327e8786d988e3134e62a786" title="vdf_wallfunc_defs::\ldestroy_wallfunc" alt="" coords="685,348,820,389"/>
<area shape="rect" id="node20" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="909,166,1061,193"/>
<area shape="rect" id="node4" href="namespacemetric__conv__func.html#aeb58e50929c78b1e734af25415ec08de" title="metric_conv_func::cleanup\l_metric_conv" alt="" coords="896,479,1075,520"/>
<area shape="rect" id="node6" href="namespacemetric__visc__func.html#a86009ebf961075bf4853000af368fcb6" title="metric_visc_func::cleanup\l_metric_visc" alt="" coords="898,544,1073,585"/>
<area shape="rect" id="node8" href="namespacemetric__generic__func.html#ab5f0398fa45023fd3349f9357ca8d1cd" title="metric_generic_func\l::cleanup_metric_generic" alt="" coords="902,609,1069,651"/>
<area shape="rect" id="node12" href="namespacevdf__object.html#aa4ed579eee57819f320279f80db3f063" title="vdf_object::cleanup\l_ib_data" alt="" coords="918,675,1053,716"/>
<area shape="rect" id="node14" href="namespaceinflow__defs.html#ad6d7f0fe7d9e919b79fefbe93991c439" title="inflow_defs::cleanup\l_in_profile" alt="" coords="915,217,1056,259"/>
<area shape="rect" id="node16" href="namespacevdf__wallfunc__defs.html#ab3efc02812f2845befa54ffe089131b5" title="vdf_wallfunc_defs::\lcleanup_tauw_src" alt="" coords="918,283,1053,324"/>
<area shape="rect" id="node17" href="namespacevdf__wallfunc__defs.html#ab3faeb604f0f45c74ca3ab84863811e1" title="vdf_wallfunc_defs::\lcleanup_visc_sc" alt="" coords="918,348,1053,389"/>
<area shape="rect" id="node18" href="namespacevdf__wallfunc__defs.html#ad7768543b6ffbbd24c933d6a2c38dd72" title="vdf_wallfunc_defs::\lcleanup_visc_src" alt="" coords="918,413,1053,455"/>
<area shape="rect" id="node21" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="1133,8,1271,49"/>
<area shape="rect" id="node26" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="1543,71,1691,112"/>
<area shape="rect" id="node27" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="1125,127,1279,168"/>
<area shape="rect" id="node29" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="1125,192,1279,233"/>
<area shape="rect" id="node32" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="1134,258,1270,285"/>
<area shape="rect" id="node33" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="1123,309,1281,351"/>
<area shape="rect" id="node22" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="1340,7,1479,48"/>
<area shape="rect" id="node23" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="1547,5,1687,47"/>
<area shape="rect" id="node24" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="1756,39,1907,80"/>
<area shape="rect" id="node25" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1967,39,2115,80"/>
<area shape="rect" id="node28" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="1331,127,1488,168"/>
<area shape="rect" id="node30" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="1331,192,1488,233"/>
<area shape="rect" id="node31" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="1539,192,1694,233"/>
<area shape="rect" id="node34" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="1329,309,1489,351"/>
<area shape="rect" id="node35" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="1537,309,1696,351"/>
<area shape="rect" id="node36" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="1744,346,1919,373"/>
<area shape="rect" id="node37" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="1751,280,1911,321"/>
<area shape="rect" id="node39" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="424,595,609,636"/>
<area shape="rect" id="node43" href="namespacescalar__weno3__func.html#ad9245d62f49200d8102a263b021e1185" title="scalar_weno3_func::\ldestroy_solver_weno3_ptr" alt="" coords="429,725,604,767"/>
<area shape="rect" id="node44" href="namespacescalar__weno3__func.html#a071c0e1fa6d8fd23c112fa888ffeb3e1" title="scalar_weno3_func::\lcleanup_solver_weno3" alt="" coords="675,805,830,847"/>
<area shape="rect" id="node46" href="namespacecfd__hybrid__conv__weno3.html#ae65ac1e920f6b121822644b6adc58279" title="cfd_hybrid_conv_weno3\l::cleanup_hybrid_weno" alt="" coords="435,791,598,832"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_icgraph.png" border="0" usemap="#namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_icgraph" alt=""/></div>
<map name="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_icgraph" id="namespacecfd__object_ae20a9c574341cbc67ba48a2b33113d8f_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="213,5,347,47"/>
<area shape="rect" id="node3" href="namespacecfd__object.html#ae90d556a312de8653185cc23e8d8da5d" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="395,5,528,47"/>
</map>
</div>

</div>
</div>
<a id="a47bff80c96f602e4550f1e596333fd0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47bff80c96f602e4550f1e596333fd0c">&#9670;&nbsp;</a></span>cleanup_cfd() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_object::cleanup_cfd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), optional, pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5">vdf_object::cleanup_vdf()</a>, <a class="el" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159">block_implicit_func::deallocate_work_block_implicit()</a>, <a class="el" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951">cfd_cn_solver::destroy_cn_solver()</a>, and <a class="el" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe">cfd_hybrid_solver::destroy_hybrid_solver()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_a47bff80c96f602e4550f1e596333fd0c_cgraph.png" border="0" usemap="#namespacecfd__object_a47bff80c96f602e4550f1e596333fd0c_cgraph" alt=""/></div>
<map name="namespacecfd__object_a47bff80c96f602e4550f1e596333fd0c_cgraph" id="namespacecfd__object_a47bff80c96f602e4550f1e596333fd0c_cgraph">
<area shape="rect" id="node2" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="215,339,375,366"/>
<area shape="rect" id="node38" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="213,446,376,502"/>
<area shape="rect" id="node40" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951" title="cfd_cn_solver::destroy\l_cn_solver" alt="" coords="217,140,372,181"/>
<area shape="rect" id="node41" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe" title="cfd_hybrid_solver::\ldestroy_hybrid_solver" alt="" coords="220,639,369,680"/>
<area shape="rect" id="node3" href="namespacemetric__conv__func.html#a210e0431237f8a8d29ded74d601bf296" title="metric_conv_func::destroy\l_metric_conv_ptr" alt="" coords="431,71,607,112"/>
<area shape="rect" id="node5" href="namespacemetric__visc__func.html#a67a92b8746287a2b17e0f74e9034f938" title="metric_visc_func::destroy\l_metric_visc_ptr" alt="" coords="433,136,605,177"/>
<area shape="rect" id="node7" href="namespacemetric__generic__func.html#a3436ab6204959a19f979368e89a6fe0e" title="metric_generic_func\l::destroy_metric_generic_ptr" alt="" coords="426,201,613,243"/>
<area shape="rect" id="node9" href="namespaceimplicit__func.html#a92f52af805f092f15f72b747f33af328" title="implicit_func::destroy\l_solver_implicit" alt="" coords="446,5,593,47"/>
<area shape="rect" id="node10" href="namespacevelocity__implicit__func.html#a4aaaa5d306e668c428e3d12892dde55f" title="velocity_implicit_func\l::destroy_solver_vec_implicit" alt="" coords="424,267,615,308"/>
<area shape="rect" id="node11" href="namespacevdf__object.html#a6c9a6079f47ed3e432c7ea2afb8b366d" title="vdf_object::destroy\l_ib_data" alt="" coords="453,332,586,373"/>
<area shape="rect" id="node13" href="namespaceinflow__defs.html#aeaacf7d5ccdf12bf3ba19d87d8682259" title="inflow_defs::destroy\l_inflow" alt="" coords="450,397,589,439"/>
<area shape="rect" id="node15" href="namespacevdf__wallfunc__defs.html#a6f35dc6e327e8786d988e3134e62a786" title="vdf_wallfunc_defs::\ldestroy_wallfunc" alt="" coords="452,463,587,504"/>
<area shape="rect" id="node19" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59" title="sd_object::unregister_sd" alt="" coords="437,529,601,555"/>
<area shape="rect" id="node20" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="676,594,828,621"/>
<area shape="rect" id="node4" href="namespacemetric__conv__func.html#aeb58e50929c78b1e734af25415ec08de" title="metric_conv_func::cleanup\l_metric_conv" alt="" coords="663,71,841,112"/>
<area shape="rect" id="node6" href="namespacemetric__visc__func.html#a86009ebf961075bf4853000af368fcb6" title="metric_visc_func::cleanup\l_metric_visc" alt="" coords="665,136,839,177"/>
<area shape="rect" id="node8" href="namespacemetric__generic__func.html#ab5f0398fa45023fd3349f9357ca8d1cd" title="metric_generic_func\l::cleanup_metric_generic" alt="" coords="669,201,835,243"/>
<area shape="rect" id="node12" href="namespacevdf__object.html#aa4ed579eee57819f320279f80db3f063" title="vdf_object::cleanup\l_ib_data" alt="" coords="685,267,819,308"/>
<area shape="rect" id="node14" href="namespaceinflow__defs.html#ad6d7f0fe7d9e919b79fefbe93991c439" title="inflow_defs::cleanup\l_in_profile" alt="" coords="681,332,823,373"/>
<area shape="rect" id="node16" href="namespacevdf__wallfunc__defs.html#ab3efc02812f2845befa54ffe089131b5" title="vdf_wallfunc_defs::\lcleanup_tauw_src" alt="" coords="685,397,819,439"/>
<area shape="rect" id="node17" href="namespacevdf__wallfunc__defs.html#ab3faeb604f0f45c74ca3ab84863811e1" title="vdf_wallfunc_defs::\lcleanup_visc_sc" alt="" coords="685,463,819,504"/>
<area shape="rect" id="node18" href="namespacevdf__wallfunc__defs.html#ad7768543b6ffbbd24c933d6a2c38dd72" title="vdf_wallfunc_defs::\lcleanup_visc_src" alt="" coords="685,528,819,569"/>
<area shape="rect" id="node21" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="900,435,1037,476"/>
<area shape="rect" id="node26" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="1309,497,1457,539"/>
<area shape="rect" id="node27" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="891,553,1046,595"/>
<area shape="rect" id="node29" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="891,619,1046,660"/>
<area shape="rect" id="node32" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="901,685,1037,711"/>
<area shape="rect" id="node33" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="889,736,1048,777"/>
<area shape="rect" id="node22" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="1107,433,1245,475"/>
<area shape="rect" id="node23" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="1313,432,1453,473"/>
<area shape="rect" id="node24" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="1523,465,1673,507"/>
<area shape="rect" id="node25" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1733,465,1881,507"/>
<area shape="rect" id="node28" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="1097,553,1255,595"/>
<area shape="rect" id="node30" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="1097,619,1255,660"/>
<area shape="rect" id="node31" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="1306,619,1461,660"/>
<area shape="rect" id="node34" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="1096,736,1256,777"/>
<area shape="rect" id="node35" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="1304,736,1463,777"/>
<area shape="rect" id="node36" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="1511,714,1685,741"/>
<area shape="rect" id="node37" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="1518,765,1678,807"/>
<area shape="rect" id="node39" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="427,631,612,672"/>
<area shape="rect" id="node42" href="namespacescalar__weno3__func.html#ad9245d62f49200d8102a263b021e1185" title="scalar_weno3_func::\ldestroy_solver_weno3_ptr" alt="" coords="432,696,607,737"/>
<area shape="rect" id="node43" href="namespacescalar__weno3__func.html#a071c0e1fa6d8fd23c112fa888ffeb3e1" title="scalar_weno3_func::\lcleanup_solver_weno3" alt="" coords="675,696,829,737"/>
</map>
</div>

</div>
</div>
<a id="ad0fdefc0626f823829d6cc8bb08fa236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0fdefc0626f823829d6cc8bb08fa236">&#9670;&nbsp;</a></span>destroy_cfd_ptr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_object::destroy_cfd_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>var_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_vdf_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f">cleanup_cfd()</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_cgraph.png" border="0" usemap="#namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_cgraph" alt=""/></div>
<map name="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_cgraph" id="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_cgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f" title="cfd_object::cleanup_cfd" alt="" coords="187,602,347,629"/>
<area shape="rect" id="node3" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="618,486,778,513"/>
<area shape="rect" id="node20" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59" title="sd_object::unregister_sd" alt="" coords="852,181,1016,207"/>
<area shape="rect" id="node39" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="395,587,557,643"/>
<area shape="rect" id="node41" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8" title="vdf_object::delete_vdf" alt="" coords="401,537,551,563"/>
<area shape="rect" id="node42" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951" title="cfd_cn_solver::destroy\l_cn_solver" alt="" coords="621,660,775,701"/>
<area shape="rect" id="node43" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe" title="cfd_hybrid_solver::\ldestroy_hybrid_solver" alt="" coords="401,723,551,764"/>
<area shape="rect" id="node46" href="namespacecfd__hybrid__conv__weno3.html#a6c046648a0a502b5b641e063a3b9bc90" title="cfd_hybrid_conv_weno3\l::destroy_hybrid_weno" alt="" coords="395,788,557,829"/>
<area shape="rect" id="node4" href="namespacemetric__conv__func.html#a210e0431237f8a8d29ded74d601bf296" title="metric_conv_func::destroy\l_metric_conv_ptr" alt="" coords="846,413,1022,455"/>
<area shape="rect" id="node6" href="namespacemetric__visc__func.html#a67a92b8746287a2b17e0f74e9034f938" title="metric_visc_func::destroy\l_metric_visc_ptr" alt="" coords="848,479,1020,520"/>
<area shape="rect" id="node8" href="namespacemetric__generic__func.html#a3436ab6204959a19f979368e89a6fe0e" title="metric_generic_func\l::destroy_metric_generic_ptr" alt="" coords="841,609,1027,651"/>
<area shape="rect" id="node10" href="namespaceimplicit__func.html#a92f52af805f092f15f72b747f33af328" title="implicit_func::destroy\l_solver_implicit" alt="" coords="861,740,1007,781"/>
<area shape="rect" id="node11" href="namespacevelocity__implicit__func.html#a4aaaa5d306e668c428e3d12892dde55f" title="velocity_implicit_func\l::destroy_solver_vec_implicit" alt="" coords="839,544,1029,585"/>
<area shape="rect" id="node12" href="namespacevdf__object.html#a6c9a6079f47ed3e432c7ea2afb8b366d" title="vdf_object::destroy\l_ib_data" alt="" coords="867,675,1001,716"/>
<area shape="rect" id="node14" href="namespaceinflow__defs.html#aeaacf7d5ccdf12bf3ba19d87d8682259" title="inflow_defs::destroy\l_inflow" alt="" coords="865,283,1003,324"/>
<area shape="rect" id="node16" href="namespacevdf__wallfunc__defs.html#a6f35dc6e327e8786d988e3134e62a786" title="vdf_wallfunc_defs::\ldestroy_wallfunc" alt="" coords="867,348,1001,389"/>
<area shape="rect" id="node21" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="1091,166,1243,193"/>
<area shape="rect" id="node5" href="namespacemetric__conv__func.html#aeb58e50929c78b1e734af25415ec08de" title="metric_conv_func::cleanup\l_metric_conv" alt="" coords="1077,479,1256,520"/>
<area shape="rect" id="node7" href="namespacemetric__visc__func.html#a86009ebf961075bf4853000af368fcb6" title="metric_visc_func::cleanup\l_metric_visc" alt="" coords="1079,544,1254,585"/>
<area shape="rect" id="node9" href="namespacemetric__generic__func.html#ab5f0398fa45023fd3349f9357ca8d1cd" title="metric_generic_func\l::cleanup_metric_generic" alt="" coords="1083,609,1250,651"/>
<area shape="rect" id="node13" href="namespacevdf__object.html#aa4ed579eee57819f320279f80db3f063" title="vdf_object::cleanup\l_ib_data" alt="" coords="1099,675,1234,716"/>
<area shape="rect" id="node15" href="namespaceinflow__defs.html#ad6d7f0fe7d9e919b79fefbe93991c439" title="inflow_defs::cleanup\l_in_profile" alt="" coords="1096,217,1237,259"/>
<area shape="rect" id="node17" href="namespacevdf__wallfunc__defs.html#ab3efc02812f2845befa54ffe089131b5" title="vdf_wallfunc_defs::\lcleanup_tauw_src" alt="" coords="1099,283,1234,324"/>
<area shape="rect" id="node18" href="namespacevdf__wallfunc__defs.html#ab3faeb604f0f45c74ca3ab84863811e1" title="vdf_wallfunc_defs::\lcleanup_visc_sc" alt="" coords="1099,348,1234,389"/>
<area shape="rect" id="node19" href="namespacevdf__wallfunc__defs.html#ad7768543b6ffbbd24c933d6a2c38dd72" title="vdf_wallfunc_defs::\lcleanup_visc_src" alt="" coords="1099,413,1234,455"/>
<area shape="rect" id="node22" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="1315,8,1452,49"/>
<area shape="rect" id="node27" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="1724,71,1872,112"/>
<area shape="rect" id="node28" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="1306,127,1461,168"/>
<area shape="rect" id="node30" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="1306,192,1461,233"/>
<area shape="rect" id="node33" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="1315,258,1451,285"/>
<area shape="rect" id="node34" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="1304,309,1463,351"/>
<area shape="rect" id="node23" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="1521,7,1660,48"/>
<area shape="rect" id="node24" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="1728,5,1868,47"/>
<area shape="rect" id="node25" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="1937,39,2088,80"/>
<area shape="rect" id="node26" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="2148,39,2296,80"/>
<area shape="rect" id="node29" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="1512,127,1669,168"/>
<area shape="rect" id="node31" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="1512,192,1669,233"/>
<area shape="rect" id="node32" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="1721,192,1875,233"/>
<area shape="rect" id="node35" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="1511,309,1671,351"/>
<area shape="rect" id="node36" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="1719,309,1877,351"/>
<area shape="rect" id="node37" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="1925,346,2100,373"/>
<area shape="rect" id="node38" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="1933,280,2093,321"/>
<area shape="rect" id="node40" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="605,595,791,636"/>
<area shape="rect" id="node44" href="namespacescalar__weno3__func.html#ad9245d62f49200d8102a263b021e1185" title="scalar_weno3_func::\ldestroy_solver_weno3_ptr" alt="" coords="611,725,785,767"/>
<area shape="rect" id="node45" href="namespacescalar__weno3__func.html#a071c0e1fa6d8fd23c112fa888ffeb3e1" title="scalar_weno3_func::\lcleanup_solver_weno3" alt="" coords="857,805,1011,847"/>
<area shape="rect" id="node47" href="namespacecfd__hybrid__conv__weno3.html#ae65ac1e920f6b121822644b6adc58279" title="cfd_hybrid_conv_weno3\l::cleanup_hybrid_weno" alt="" coords="617,791,779,832"/>
</map>
</div>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_icgraph.png" border="0" usemap="#namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_icgraph" alt=""/></div>
<map name="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_icgraph" id="namespacecfd__object_ad0fdefc0626f823829d6cc8bb08fa236_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#ae90d556a312de8653185cc23e8d8da5d" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="187,5,320,47"/>
</map>
</div>

</div>
</div>
<a id="ae90d556a312de8653185cc23e8d8da5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae90d556a312de8653185cc23e8d8da5d">&#9670;&nbsp;</a></span>destroy_cfd_ptr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">recursive subroutine, public cfd_object::destroy_cfd_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), pointer&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f">cleanup_cfd()</a>, and <a class="el" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236">destroy_cfd_ptr()</a>.</p>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_ae90d556a312de8653185cc23e8d8da5d_cgraph.png" border="0" usemap="#namespacecfd__object_ae90d556a312de8653185cc23e8d8da5d_cgraph" alt=""/></div>
<map name="namespacecfd__object_ae90d556a312de8653185cc23e8d8da5d_cgraph" id="namespacecfd__object_ae90d556a312de8653185cc23e8d8da5d_cgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f" title="cfd_object::cleanup_cfd" alt="" coords="368,602,528,629"/>
<area shape="rect" id="node48" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="187,624,320,665"/>
<area shape="rect" id="node3" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="799,486,959,513"/>
<area shape="rect" id="node20" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59" title="sd_object::unregister_sd" alt="" coords="1033,181,1197,207"/>
<area shape="rect" id="node39" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="576,587,739,643"/>
<area shape="rect" id="node41" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8" title="vdf_object::delete_vdf" alt="" coords="582,537,733,563"/>
<area shape="rect" id="node42" href="namespacecfd__cn__solver.html#ae8aeee5446d087ffc566c3e60b17d951" title="cfd_cn_solver::destroy\l_cn_solver" alt="" coords="802,660,957,701"/>
<area shape="rect" id="node43" href="namespacecfd__hybrid__solver.html#a68903201b8dceaea5a0044f74332c6fe" title="cfd_hybrid_solver::\ldestroy_hybrid_solver" alt="" coords="583,723,732,764"/>
<area shape="rect" id="node46" href="namespacecfd__hybrid__conv__weno3.html#a6c046648a0a502b5b641e063a3b9bc90" title="cfd_hybrid_conv_weno3\l::destroy_hybrid_weno" alt="" coords="576,788,739,829"/>
<area shape="rect" id="node4" href="namespacemetric__conv__func.html#a210e0431237f8a8d29ded74d601bf296" title="metric_conv_func::destroy\l_metric_conv_ptr" alt="" coords="1027,413,1203,455"/>
<area shape="rect" id="node6" href="namespacemetric__visc__func.html#a67a92b8746287a2b17e0f74e9034f938" title="metric_visc_func::destroy\l_metric_visc_ptr" alt="" coords="1029,479,1201,520"/>
<area shape="rect" id="node8" href="namespacemetric__generic__func.html#a3436ab6204959a19f979368e89a6fe0e" title="metric_generic_func\l::destroy_metric_generic_ptr" alt="" coords="1022,609,1209,651"/>
<area shape="rect" id="node10" href="namespaceimplicit__func.html#a92f52af805f092f15f72b747f33af328" title="implicit_func::destroy\l_solver_implicit" alt="" coords="1042,740,1189,781"/>
<area shape="rect" id="node11" href="namespacevelocity__implicit__func.html#a4aaaa5d306e668c428e3d12892dde55f" title="velocity_implicit_func\l::destroy_solver_vec_implicit" alt="" coords="1020,544,1211,585"/>
<area shape="rect" id="node12" href="namespacevdf__object.html#a6c9a6079f47ed3e432c7ea2afb8b366d" title="vdf_object::destroy\l_ib_data" alt="" coords="1049,675,1182,716"/>
<area shape="rect" id="node14" href="namespaceinflow__defs.html#aeaacf7d5ccdf12bf3ba19d87d8682259" title="inflow_defs::destroy\l_inflow" alt="" coords="1046,283,1185,324"/>
<area shape="rect" id="node16" href="namespacevdf__wallfunc__defs.html#a6f35dc6e327e8786d988e3134e62a786" title="vdf_wallfunc_defs::\ldestroy_wallfunc" alt="" coords="1048,348,1183,389"/>
<area shape="rect" id="node21" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="1272,166,1424,193"/>
<area shape="rect" id="node5" href="namespacemetric__conv__func.html#aeb58e50929c78b1e734af25415ec08de" title="metric_conv_func::cleanup\l_metric_conv" alt="" coords="1259,479,1437,520"/>
<area shape="rect" id="node7" href="namespacemetric__visc__func.html#a86009ebf961075bf4853000af368fcb6" title="metric_visc_func::cleanup\l_metric_visc" alt="" coords="1261,544,1435,585"/>
<area shape="rect" id="node9" href="namespacemetric__generic__func.html#ab5f0398fa45023fd3349f9357ca8d1cd" title="metric_generic_func\l::cleanup_metric_generic" alt="" coords="1265,609,1431,651"/>
<area shape="rect" id="node13" href="namespacevdf__object.html#aa4ed579eee57819f320279f80db3f063" title="vdf_object::cleanup\l_ib_data" alt="" coords="1281,675,1415,716"/>
<area shape="rect" id="node15" href="namespaceinflow__defs.html#ad6d7f0fe7d9e919b79fefbe93991c439" title="inflow_defs::cleanup\l_in_profile" alt="" coords="1277,217,1419,259"/>
<area shape="rect" id="node17" href="namespacevdf__wallfunc__defs.html#ab3efc02812f2845befa54ffe089131b5" title="vdf_wallfunc_defs::\lcleanup_tauw_src" alt="" coords="1281,283,1415,324"/>
<area shape="rect" id="node18" href="namespacevdf__wallfunc__defs.html#ab3faeb604f0f45c74ca3ab84863811e1" title="vdf_wallfunc_defs::\lcleanup_visc_sc" alt="" coords="1281,348,1415,389"/>
<area shape="rect" id="node19" href="namespacevdf__wallfunc__defs.html#ad7768543b6ffbbd24c933d6a2c38dd72" title="vdf_wallfunc_defs::\lcleanup_visc_src" alt="" coords="1281,413,1415,455"/>
<area shape="rect" id="node22" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="1496,8,1633,49"/>
<area shape="rect" id="node27" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="1905,71,2053,112"/>
<area shape="rect" id="node28" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="1487,127,1642,168"/>
<area shape="rect" id="node30" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="1487,192,1642,233"/>
<area shape="rect" id="node33" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="1497,258,1633,285"/>
<area shape="rect" id="node34" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="1485,309,1644,351"/>
<area shape="rect" id="node23" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="1703,7,1841,48"/>
<area shape="rect" id="node24" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="1909,5,2049,47"/>
<area shape="rect" id="node25" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="2119,39,2269,80"/>
<area shape="rect" id="node26" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="2329,39,2477,80"/>
<area shape="rect" id="node29" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="1693,127,1851,168"/>
<area shape="rect" id="node31" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="1693,192,1851,233"/>
<area shape="rect" id="node32" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="1902,192,2057,233"/>
<area shape="rect" id="node35" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="1692,309,1852,351"/>
<area shape="rect" id="node36" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="1900,309,2059,351"/>
<area shape="rect" id="node37" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="2107,346,2281,373"/>
<area shape="rect" id="node38" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="2114,280,2274,321"/>
<area shape="rect" id="node40" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="787,595,972,636"/>
<area shape="rect" id="node44" href="namespacescalar__weno3__func.html#ad9245d62f49200d8102a263b021e1185" title="scalar_weno3_func::\ldestroy_solver_weno3_ptr" alt="" coords="792,725,967,767"/>
<area shape="rect" id="node45" href="namespacescalar__weno3__func.html#a071c0e1fa6d8fd23c112fa888ffeb3e1" title="scalar_weno3_func::\lcleanup_solver_weno3" alt="" coords="1038,805,1193,847"/>
<area shape="rect" id="node47" href="namespacecfd__hybrid__conv__weno3.html#ae65ac1e920f6b121822644b6adc58279" title="cfd_hybrid_conv_weno3\l::cleanup_hybrid_weno" alt="" coords="798,791,961,832"/>
</map>
</div>

</div>
</div>
<a id="a1d6c13248c6dc57bdb3008b7a12747f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d6c13248c6dc57bdb3008b7a12747f4">&#9670;&nbsp;</a></span>set_default_cfd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine public cfd_object::set_default_cfd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__object_a1d6c13248c6dc57bdb3008b7a12747f4_icgraph.png" border="0" usemap="#namespacecfd__object_a1d6c13248c6dc57bdb3008b7a12747f4_icgraph" alt=""/></div>
<map name="namespacecfd__object_a1d6c13248c6dc57bdb3008b7a12747f4_icgraph" id="namespacecfd__object_a1d6c13248c6dc57bdb3008b7a12747f4_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a05f46c381096d387b9d943da0927fe63" title="cfd_object::allocate_cfd" alt="" coords="232,13,392,39"/>
<area shape="rect" id="node3" href="namespacecfd__object.html#a3cb7fa816509cd5a437b5374efdcb0ad" title="cfd_object::add_cfd\l_from_sd" alt="" coords="440,5,576,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
